---

# Prerequisite Modules
* **Note:** Not part of the reference but essential for the course.
* **Id:** prerequisite
* **Effort:** 3.5

## Classes
* **Id:** prerequisite.theory
* **Effort:** 1.8

### Overview of communication channels
* **Note:** Account creation for gitea, matrix etc
* **Id:** prerequisite.theory.communication
* **Effort:** 0.5

### Introduction to markdown for notekeeping
* **Note:** markdown syntax
* **Id:** prerequisite.theory.markdown
* **Effort:** 0.3

### Short introdution to git for notekeeping
* **Note:** git tutorial
* **Id:** prerequisite.theory.git
* **Effort:** 1.0

---

# Resource Modules
* **Note:** Modules part of the resource curriculum.
* **Id:** resources
* **Effort:** 30.4

## Networking
* **Id:** resources.networking
* **Effort:** 15.5

### MR03/R61 Introduction to centralized administration of networking services
* **Id:** resources.networking.services
* **Effort:** 6.8

### Classes
* **Id:** resources.networking.services.theory
* **Effort:** 2.5

### Debian implementations of essential services
* **Note:** Focus on DHCP, DNS, SFTP, SSH, CUPS, LDAP following chapter 10 and chapter 11 of the Debian system administrator handbook
* **Id:** resources.networking.services.theory.debian
* **Effort:** 2.5

## MR04/R71 Introduction to linux
* **Note:** Introduction to the history and usage of Linux as an OS with both graphical and shell interfaces.
* **Id:** resources.linux
* **Effort:** 5.0

### Classes
* **Id:** resources.linux.theory
* **Effort:** 3.0

### History of unix/linux and Debian
* **Id:** resources.linux.theory.intro
* **Effort:** 0.5

### Quick dive into a GUI installation
* **Id:** resources.linux.theory.gui
* **Effort:** 0.5

### Introduction to the shell
* **Note:** Based on Ryan's tutorials
* **Id:** resources.linux.theory.cli
* **Effort:** 1.0

### Introduction to vim
* **Note:** complete vimtutor and create a custom vimrc
* **Id:** resources.linux.theory.vimtutor
* **Effort:** 0.5

### Very brief introdution to bandit and SSH
* **Note:** bandit
* **Id:** resources.linux.theory.bandit
* **Effort:** 0.5

## MR05/XX Introduction to hardware components of servers and clients
* **Note:** In this module we will focus on hardware and the exposure to Raspberry Pi's as an alternative target platform
* **Id:** resources.hardware
* **Effort:** 6.0

### Classes
* **Id:** resources.hardware.theory
* **Effort:** 2.5

### Breakdown of IT internals and externals
* **Id:** resources.hardware.theory.breakdown
* **Effort:** 0.5

### Overview of computer architectures
* **Id:** resources.hardware.theory.architectures
* **Effort:** 0.3

### ARM vs x86
* **Id:** resources.hardware.theory.rpi
* **Effort:** 0.3

### Introduction to compiled languages and compilation targets
* **Id:** resources.hardware.theory.compilation
* **Effort:** 0.3

### Comparison of platforms vs protocols
* **Id:** resources.hardware.theory.protocols
* **Effort:** 0.3

### Group deployment of RPI clients and headless servers
* **Id:** resources.hardware.theory.deployment
* **Effort:** 1.0

---

# Qualifying Modules
* **Note:** Modules part of the qualifying curriculum.
* **Id:** qualifying
* **Effort:** 67.0

## MQ06/QB2 Install, deplay, configure and maintain client machines
* **Id:** qualifying.clients
* **Effort:** 5.0

### Classes
* **Id:** qualifying.clients.theory
* **Effort:** 2.0

### TODO
* **Note:** TODO
* **Id:** qualifying.clients.theory.sub1
* **Effort:** 2.0

### Labo
* **Id:** qualifying.clients.practice
* **Effort:** 2.0

### Labo one
* **Note:** TODO
* **Id:** qualifying.clients.practice.supervised
* **Effort:** 1.0

## MQ03/QB4 Conceive and improve networking architecture
* **Note:** Deep dive into networking and the securisation of exposed services.
* **Id:** qualifying.networking
* **Effort:** 21.3

### Classes
* **Id:** qualifying.networking.theory
* **Effort:** 11.5

### iptables and fail2ban
* **Id:** qualifying.networking.theory.firewall
* **Effort:** 1.0

### Introduction to cryptography
* **Id:** qualifying.networking.theory.crypto
* **Effort:** 1.0

### Theory and application of OpenWRT
* **Id:** qualifying.networking.theory.openwrt
* **Effort:** 1.0

### Exposing local services to the internet
* **Note:** Theory and application of VPN, nginx reverse proxy, SSH, DNS and dynamic DNS
* **Id:** qualifying.networking.theory.exposing_services
* **Effort:** 3.5

## Linux server machines
* **Id:** qualifying.servers
* **Effort:** 26.8

### MQ07/QE7 Installation and configuration of a Linux server
* **Note:** Installation and configuration of Debian and Redhat servers.
* **Id:** qualifying.servers.deployment
* **Effort:** 9.1

### Classes
* **Id:** qualifying.servers.deployment.theory
* **Effort:** 6.0

### The Debian OS
* **Note:** Follows the Debian System Administrator handbook
* **Id:** qualifying.servers.deployment.theory.debian
* **Effort:** 4.0

### Redhat as an alternative
* **Id:** qualifying.servers.deployment.theory.redhat
* **Effort:** 2.0

### Labo
* **Id:** qualifying.servers.deployment.practice
* **Effort:** 3.0

### Deployment of Debian on hardware and VM
* **Note:** TODO
* **Id:** qualifying.servers.deployment.practice.debian
* **Effort:** 2.0

### Test
* **Note:** Test through certificate
* **Id:** qualifying.servers.deployment.test
* **Effort:** 0.1

### Linux Professional Institute LPIC-1
* **Note:** https://www.lpi.org/our-certifications/lpic-1-overview
* **Id:** qualifying.servers.deployment.test.certificate
* **Effort:** 0.1

### MQ08/QE8 Administrate, exploit and maintain a Linux server
* **Note:** More in depth usage of the command line and an introdution to scripting in BASH and python3.
* **Id:** qualifying.servers.maintenance
* **Effort:** 17.6

### Classes
* **Id:** qualifying.servers.maintenance.theory
* **Effort:** 14.0

### Deep dive into CLI tools
* **Note:** Focus on essential tools such as tmux, zsh, ohmyzsh, vim
* **Id:** qualifying.servers.maintenance.theory.tools
* **Effort:** 3.0

### Advanced system management
* **Note:** Focus on systemd, dbus, udev, apt, pip3
* **Id:** qualifying.servers.maintenance.theory.debian
* **Effort:** 4.0

### Introduction to scripting in BASH and python3
* **Id:** qualifying.servers.maintenance.theory.scripting
* **Effort:** 5.0

### Advanced python scripting
* **Id:** qualifying.servers.maintenance.theory.advanced_python
* **Effort:** 2.0

### Labo
* **Id:** qualifying.servers.maintenance.practice
* **Effort:** 3.5

### Tools and system maintenance in practice
* **Id:** qualifying.servers.maintenance.practice.general
* **Effort:** 2.5

## MQ09/XX Administrate, exploit and maintain a virtual environnement
* **Note:** Extends on the general knowledge built up throughout the coarse but adds freenas as a platform to deploy VM's
* **Id:** qualifying.vm
* **Effort:** 6.0

### Classes
* **Id:** qualifying.vm.theory
* **Effort:** 2.5

### General configuration of VM's
* **Id:** qualifying.vm.theory.general
* **Effort:** 0.5

### Freenas as a platform to deploy VM's and docker instances
* **Id:** qualifying.vm.theory.freenas
* **Effort:** 2.0

### Labo
* **Id:** qualifying.vm.practice
* **Effort:** 2.5

### Deployment of diverse VM's via Windows, Debian and Freenas
* **Id:** qualifying.vm.practice.supervised
* **Effort:** 0.5

---

# Personal project
* **Note:** Research, write and present an expose on a relevant topic of choice.
* **Id:** personal_project
* **Effort:** 7.0

## Follow up of personal project
* **Id:** personal_project.followup
* **Effort:** 2.0

## Presentation of personal projects
* **Id:** personal_project.presentation
* **Effort:** 1.0

---

# Certificates
* **Id:** certificates
* **Effort:** 11.0

## In class followup for certifications with supervision
* **Id:** certificates.supervised
* **Effort:** 3.0

## Passing the certificate
* **Id:** certificates.test
* **Effort:** 1.0

